org.keycloak.dom.saml.v1.assertion

## Class SAML11SubjectType

- java.lang.Object
- - org.keycloak.dom.saml.v1.assertion.SAML11SubjectType

-     public class SAML11SubjectType
      extends Object

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SAML11SubjectType.SAML11SubjectTypeChoice`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SAML11SubjectType.SAML11SubjectTypeChoice` | `choice`
    `protected SAML11SubjectConfirmationType` | `subjectConfirmation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11SubjectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAML11SubjectType.SAML11SubjectTypeChoice` | `getChoice()`
    `SAML11SubjectConfirmationType` | `getSubjectConfirmation()`
    `void` | `setChoice(SAML11SubjectType.SAML11SubjectTypeChoice choice)`
    `void` | `setSubjectConfirmation(SAML11SubjectConfirmationType subjectConfirmation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subjectConfirmation

          protected SAML11SubjectConfirmationType subjectConfirmation

    - #### choice

          protected SAML11SubjectType.SAML11SubjectTypeChoice choice

  - ### Constructor Detail

    - #### SAML11SubjectType

          public SAML11SubjectType()

  - ### Method Detail

    - #### getSubjectConfirmation

          public SAML11SubjectConfirmationType getSubjectConfirmation()

    - #### setSubjectConfirmation

          public void setSubjectConfirmation(SAML11SubjectConfirmationType subjectConfirmation)

    - #### getChoice

          public SAML11SubjectType.SAML11SubjectTypeChoice getChoice()

    - #### setChoice

          public void setChoice(SAML11SubjectType.SAML11SubjectTypeChoice choice)

Copyright © 2020 JBoss by Red Hat. All rights reserved.